diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/SystemConfigService.java b/base/common/src/com/netscape/cms/servlet/csadmin/SystemConfigService.java
index cee8e86e3e6513325a51b71801f825eb2bd8c7fc..b17cf1752c03e20bc5a1edc61e689c6da98b470a 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/SystemConfigService.java
+++ b/base/common/src/com/netscape/cms/servlet/csadmin/SystemConfigService.java
@@ -863,48 +863,48 @@ public class SystemConfigService extends PKIService implements SystemConfigurati
             try {
                 Integer.parseInt(cloneReplicationPort); // check for errors
             } catch (Exception e) {
-                throw new CMSException(Response.Status.BAD_REQUEST, "Clone replication port is invalid");
+                throw new PKIException(Response.Status.BAD_REQUEST, "Clone replication port is invalid");
             }
         }
 
         if ((data.getBackupKeys() != null) && data.getBackupKeys().equals("true")) {
             if ((data.getBackupFile() == null) || (data.getBackupFile().length()<=0)) {
                 //TODO: also check for valid path, perhaps by touching file there
-                throw new CMSException(Response.Status.BAD_REQUEST, "Invalid key backup file name");
+                throw new PKIException(Response.Status.BAD_REQUEST, "Invalid key backup file name");
             }
 
             if ((data.getBackupPassword() == null) || (data.getBackupPassword().length()<8)) {
-                throw new CMSException(Response.Status.BAD_REQUEST, "key backup password must be at least 8 characters");
+                throw new PKIException(Response.Status.BAD_REQUEST, "key backup password must be at least 8 characters");
             }
         } else {
             data.setBackupKeys("false");
         }
 
         if (csType.equals("CA") && (data.getHierarchy() == null)) {
-            throw new CMSException(Response.Status.BAD_REQUEST, "Hierarchy is requred for CA, not provided");
+            throw new PKIException(Response.Status.BAD_REQUEST, "Hierarchy is requred for CA, not provided");
         }
 
         if (data.getIsClone().equals("false")) {
             if ((data.getAdminUID() == null) || (data.getAdminUID().length()==0)) {
-                throw new CMSException(Response.Status.BAD_REQUEST, "Admin UID not provided");
+                throw new PKIException(Response.Status.BAD_REQUEST, "Admin UID not provided");
             }
             if ((data.getAdminPassword() == null) || (data.getAdminPassword().length()==0)) {
-                throw new CMSException(Response.Status.BAD_REQUEST, "Admin Password not provided");
+                throw new PKIException(Response.Status.BAD_REQUEST, "Admin Password not provided");
             }
             if ((data.getAdminEmail() == null) || (data.getAdminEmail().length()==0)) {
-                throw new CMSException(Response.Status.BAD_REQUEST, "Admin UID not provided");
+                throw new PKIException(Response.Status.BAD_REQUEST, "Admin UID not provided");
             }
             if ((data.getAdminName() == null) || (data.getAdminName().length()==0)) {
-                throw new CMSException(Response.Status.BAD_REQUEST, "Admin name not provided");
+                throw new PKIException(Response.Status.BAD_REQUEST, "Admin name not provided");
             }
             if ((data.getAdminCertRequest() == null) || (data.getAdminCertRequest().length()==0)) {
-                throw new CMSException(Response.Status.BAD_REQUEST, "Admin cert request not provided");
+                throw new PKIException(Response.Status.BAD_REQUEST, "Admin cert request not provided");
             }
             if ((data.getAdminCertRequestType() == null) || (data.getAdminCertRequestType().length()==0)) {
-                throw new CMSException(Response.Status.BAD_REQUEST, "Admin cert request type not provided");
+                throw new PKIException(Response.Status.BAD_REQUEST, "Admin cert request type not provided");
             }
             if ((data.getAdminSubjectDN() == null) || (data.getAdminSubjectDN().length()==0)) {
-                throw new CMSException(Response.Status.BAD_REQUEST, "Admin subjectDN not provided");
+                throw new PKIException(Response.Status.BAD_REQUEST, "Admin subjectDN not provided");
             }
         }
 
@@ -928,7 +928,7 @@ public class SystemConfigService extends PKIService implements SystemConfigurati
         try {
             ip = InetAddress.getByName(host).toString();
         } catch (UnknownHostException e) {
-            throw new CMSException(Response.Status.BAD_REQUEST, "Unable to resolve host " + host +
+            throw new PKIException(Response.Status.BAD_REQUEST, "Unable to resolve host " + host +
                     "to an IP address: " + e);
         }
         int index = ip.indexOf("/");
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/model/ConfigurationData.java b/base/common/src/com/netscape/cms/servlet/csadmin/model/ConfigurationRequest.java
similarity index 97%
rename from base/common/src/com/netscape/cms/servlet/csadmin/model/ConfigurationData.java
rename to base/common/src/com/netscape/cms/servlet/csadmin/model/ConfigurationRequest.java
index 3c1bea86b9426b5a2ecbd9517dfdca0d576592c5..b42403f4e67d4684a5dc5a53a8ae312b5edff4c3 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/model/ConfigurationData.java
+++ b/base/common/src/com/netscape/cms/servlet/csadmin/model/ConfigurationRequest.java
@@ -30,9 +30,9 @@ import javax.xml.bind.annotation.XmlRootElement;
  * @author alee
  *
  */
-@XmlRootElement(name="ConfigurationData")
+@XmlRootElement(name="ConfigurationRequest")
 @XmlAccessorType(XmlAccessType.FIELD)
-public class ConfigurationData {
+public class ConfigurationRequest {
     private static final String PIN = "pin";
     private static final String TOKEN = "token";
     private static final String TOKEN_PASSWORD = "tokenPassword";
@@ -152,7 +152,7 @@ public class ConfigurationData {
     protected String replicationSecurity;
 
     @XmlElementRef
-    protected Collection<CertData> systemCerts;
+    protected Collection<SystemCertData> systemCerts;
 
     @XmlElement
     protected String issuingCA;
@@ -193,11 +193,11 @@ public class ConfigurationData {
     @XmlElement
     protected String stepTwo;
 
-    public ConfigurationData() {
+    public ConfigurationRequest() {
         // required for JAXB
     }
 
-    public ConfigurationData(MultivaluedMap<String, String> form) {
+    public ConfigurationRequest(MultivaluedMap<String, String> form) {
         pin = form.getFirst(PIN);
         token = form.getFirst(TOKEN);
         tokenPassword = form.getFirst(TOKEN_PASSWORD);
@@ -533,7 +533,7 @@ public class ConfigurationData {
      *
      * @return systemCerts
      */
-    public Collection<CertData> getSystemCerts() {
+    public Collection<SystemCertData> getSystemCerts() {
         return systemCerts;
     }
 
@@ -541,7 +541,7 @@ public class ConfigurationData {
      *
      * @param systemCerts
      */
-    public void setSystemCerts(Collection<CertData> systemCerts) {
+    public void setSystemCerts(Collection<SystemCertData> systemCerts) {
         this.systemCerts = systemCerts;
     }
 
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/model/ConfigurationResponseData.java b/base/common/src/com/netscape/cms/servlet/csadmin/model/ConfigurationResponse.java
similarity index 81%
rename from base/common/src/com/netscape/cms/servlet/csadmin/model/ConfigurationResponseData.java
rename to base/common/src/com/netscape/cms/servlet/csadmin/model/ConfigurationResponse.java
index d1656fddaa9f5103a43a0ef20ea64ce4b889c988..2fcd37d9dcb4f16b2be2cc26b58dfe71e7c05f58 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/model/ConfigurationResponseData.java
+++ b/base/common/src/com/netscape/cms/servlet/csadmin/model/ConfigurationResponse.java
@@ -14,7 +14,7 @@
 //
 // (C) 2012 Red Hat, Inc.
 // All rights reserved.
-// --- END COPYRIGHT BLOCK --- 
+// --- END COPYRIGHT BLOCK ---
 package com.netscape.cms.servlet.csadmin.model;
 
 import java.security.cert.CertificateEncodingException;
@@ -22,6 +22,7 @@ import java.util.ArrayList;
 import java.util.Collection;
 import java.util.Enumeration;
 import java.util.Vector;
+
 import javax.xml.bind.annotation.XmlAccessType;
 import javax.xml.bind.annotation.XmlAccessorType;
 import javax.xml.bind.annotation.XmlElement;
@@ -37,30 +38,30 @@ import com.netscape.cms.servlet.csadmin.Cert;
  * @author alee
  *
  */
-@XmlRootElement(name="ConfigurationResponseData")
+@XmlRootElement(name="ConfigurationResponse")
 @XmlAccessorType(XmlAccessType.FIELD)
-public class ConfigurationResponseData {
-    
+public class ConfigurationResponse {
+
     @XmlElementRef
-    protected Collection<CertData> systemCerts;
-    
+    protected Collection<SystemCertData> systemCerts;
+
     @XmlElement
-    protected CertData adminCert;
-    
+    protected SystemCertData adminCert;
+
     @XmlElement
     protected String status;
-    
-    public ConfigurationResponseData() {
-        systemCerts = new ArrayList<CertData>();
-        adminCert = new CertData();
+
+    public ConfigurationResponse() {
+        systemCerts = new ArrayList<SystemCertData>();
+        adminCert = new SystemCertData();
     }
-    
+
     public void setSystemCerts(Vector<Cert> certs) {
         systemCerts.clear();
         Enumeration<Cert> e = certs.elements();
         while (e.hasMoreElements()) {
             Cert cert = e.nextElement();
-            CertData cdata = new CertData();
+            SystemCertData cdata = new SystemCertData();
             cdata.setCert(cert.getCert());
             cdata.setRequest(cert.getRequest());
             cdata.setTag(cert.getCertTag());
@@ -68,32 +69,32 @@ public class ConfigurationResponseData {
             systemCerts.add(cdata);
         }
     }
-    
+
     /**
      * @return the systemCerts
      */
-    public Collection<CertData> getSystemCerts() {
+    public Collection<SystemCertData> getSystemCerts() {
         return systemCerts;
     }
 
     /**
      * @param systemCerts the systemCerts to set
      */
-    public void setSystemCerts(Collection<CertData> systemCerts) {
+    public void setSystemCerts(Collection<SystemCertData> systemCerts) {
         this.systemCerts = systemCerts;
     }
 
     /**
      * @return the adminCert
      */
-    public CertData getAdminCert() {
+    public SystemCertData getAdminCert() {
         return adminCert;
     }
 
     /**
      * @param adminCert the adminCert to set
      */
-    public void setAdminCert(CertData adminCert) {
+    public void setAdminCert(SystemCertData adminCert) {
         this.adminCert = adminCert;
     }
 
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/model/CertData.java b/base/common/src/com/netscape/cms/servlet/csadmin/model/SystemCertData.java
similarity index 95%
rename from base/common/src/com/netscape/cms/servlet/csadmin/model/CertData.java
rename to base/common/src/com/netscape/cms/servlet/csadmin/model/SystemCertData.java
index d9e5e8005b7cc14be59cb8eab47b61bec4e2ea97..bd98fe95ca010309c413266f20b476a876c6a158 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/model/CertData.java
+++ b/base/common/src/com/netscape/cms/servlet/csadmin/model/SystemCertData.java
@@ -14,8 +14,8 @@
 //
 // (C) 2012 Red Hat, Inc.
 // All rights reserved.
-// --- END COPYRIGHT BLOCK --- 
- 
+// --- END COPYRIGHT BLOCK ---
+
 package com.netscape.cms.servlet.csadmin.model;
 
 import javax.ws.rs.core.MultivaluedMap;
@@ -28,63 +28,63 @@ import javax.xml.bind.annotation.XmlRootElement;
  * @author alee
  *
  */
-@XmlRootElement(name="CertData")
+@XmlRootElement(name="SystemCertData")
 @XmlAccessorType(XmlAccessType.FIELD)
-public class CertData {
+public class SystemCertData {
     public static final String TAG = "tag";
     public static final String NICKNAME = "nickname";
     public static final String TOKEN = "token";
     public static final String KEY_TYPE = "keyType";
     public static final String KEY_ALGORITHM = "keyAlgorithm";
-    public static final String SIGNING_ALGORITHM = "signingAlgorithm";    
+    public static final String SIGNING_ALGORITHM = "signingAlgorithm";
     public static final String KEY_SIZE = "keySize";
     public static final String KEY_CURVENAME = "keyCurveName";
     public static final String REQUEST = "request";
     public static final String SUBJECT_DN = "subjectDN";
     public static final String CERT = "cert";
     public static final String CERT_CHAIN = "certChain";
-    
+
     @XmlElement
     protected String tag;
-    
+
     @XmlElement
     protected String nickname;
-    
+
     @XmlElement
     protected String token;
-    
+
     @XmlElement
     protected String keyType;
-    
+
     @XmlElement
     protected String keyAlgorithm;
-    
+
     @XmlElement
     protected String signingAlgorithm;
-    
+
     @XmlElement
     protected String keySize;
-    
+
     @XmlElement
     protected String keyCurveName;
-    
+
     @XmlElement
     protected String request;
-    
+
     @XmlElement
     protected String subjectDN;
-    
+
     @XmlElement
     protected String cert;
-    
+
     @XmlElement
     protected String certChain;
-    
-    public CertData() {
+
+    public SystemCertData() {
         // required for JAXB
     }
-    
-    public CertData(MultivaluedMap<String, String> form) {
+
+    public SystemCertData(MultivaluedMap<String, String> form) {
         tag = form.getFirst(TAG);
         nickname = form.getFirst(NICKNAME);
         token = form.getFirst(TOKEN);
@@ -266,5 +266,5 @@ public class CertData {
     public void setCertChain(String certChain) {
         this.certChain = certChain;
     }
-    
+
 }
diff --git a/base/common/src/com/netscape/cms/servlet/key/KeyResource.java b/base/common/src/com/netscape/cms/servlet/key/KeyResource.java
index 4d352eaeadb509781561e1668c099ed85657384b..948f2ff992ec753e4a343f4668cff16fe155c721 100644
--- a/base/common/src/com/netscape/cms/servlet/key/KeyResource.java
+++ b/base/common/src/com/netscape/cms/servlet/key/KeyResource.java
@@ -12,7 +12,7 @@ import javax.ws.rs.core.MultivaluedMap;
 
 import com.netscape.cms.servlet.key.model.KeyData;
 import com.netscape.cms.servlet.key.model.KeyDataInfos;
-import com.netscape.cms.servlet.request.model.RecoveryRequestData;
+import com.netscape.cms.servlet.request.model.KeyRecoveryRequest;
 
 @Path("agent/keys")
 public interface KeyResource {
@@ -37,7 +37,7 @@ public interface KeyResource {
     @Path("retrieve")
     @Produces({ MediaType.APPLICATION_XML, MediaType.APPLICATION_JSON })
     @Consumes({ MediaType.APPLICATION_XML, MediaType.APPLICATION_JSON })
-    public KeyData retrieveKey(RecoveryRequestData data);
+    public KeyData retrieveKey(KeyRecoveryRequest data);
 
     // retrieval - used to test integration with a browser
     @POST
diff --git a/base/common/src/com/netscape/cms/servlet/key/KeyService.java b/base/common/src/com/netscape/cms/servlet/key/KeyService.java
index 59847da1c81ea3a37eb50d627f4560b5496b72ff..ffd0ef7393dfe9a1117eb1a8c421c71de252cdfd 100644
--- a/base/common/src/com/netscape/cms/servlet/key/KeyService.java
+++ b/base/common/src/com/netscape/cms/servlet/key/KeyService.java
@@ -47,7 +47,7 @@ import com.netscape.cms.servlet.key.model.KeyDataInfo;
 import com.netscape.cms.servlet.key.model.KeyDataInfos;
 import com.netscape.cms.servlet.request.model.KeyRequestDAO;
 import com.netscape.cms.servlet.request.model.KeyRequestInfo;
-import com.netscape.cms.servlet.request.model.RecoveryRequestData;
+import com.netscape.cms.servlet.request.model.KeyRecoveryRequest;
 import com.netscape.cmsutil.ldap.LDAPUtil;
 
 /**
@@ -71,7 +71,7 @@ public class KeyService extends PKIService implements KeyResource{
      * @param data
      * @return
      */
-    public KeyData retrieveKey(RecoveryRequestData data) {
+    public KeyData retrieveKey(KeyRecoveryRequest data) {
         // auth and authz
         KeyId keyId = validateRequest(data);
         KeyData keyData;
@@ -90,11 +90,11 @@ public class KeyService extends PKIService implements KeyResource{
 
     // retrieval - used to test integration with a browser
     public KeyData retrieveKey(MultivaluedMap<String, String> form) {
-        RecoveryRequestData data = new RecoveryRequestData(form);
+        KeyRecoveryRequest data = new KeyRecoveryRequest(form);
         return retrieveKey(data);
     }
 
-    public KeyData getKey(KeyId keyId, RecoveryRequestData data) throws EBaseException {
+    public KeyData getKey(KeyId keyId, KeyRecoveryRequest data) throws EBaseException {
         KeyData keyData;
 
         RequestId rId = data.getRequestId();
@@ -192,7 +192,7 @@ public class KeyService extends PKIService implements KeyResource{
         return keyData;
     }
 
-    private KeyId validateRequest(RecoveryRequestData data) {
+    private KeyId validateRequest(KeyRecoveryRequest data) {
 
         // confirm request exists
         RequestId reqId = data.getRequestId();
diff --git a/base/common/src/com/netscape/cms/servlet/profile/ProfileNotFoundException.java b/base/common/src/com/netscape/cms/servlet/profile/ProfileNotFoundException.java
index 30a1a585250cbd8e0914072fdfbb923a8d28cb22..e597f471e87829fe5785dc619777ce5d09cc84a0 100644
--- a/base/common/src/com/netscape/cms/servlet/profile/ProfileNotFoundException.java
+++ b/base/common/src/com/netscape/cms/servlet/profile/ProfileNotFoundException.java
@@ -19,9 +19,9 @@ package com.netscape.cms.servlet.profile;
 
 import javax.ws.rs.core.Response;
 
-import com.netscape.cms.servlet.base.CMSException;
+import com.netscape.cms.servlet.base.PKIException;
 
-public class ProfileNotFoundException extends CMSException {
+public class ProfileNotFoundException extends PKIException {
 
     private static final long serialVersionUID = -4784839378360933483L;
 
diff --git a/base/common/src/com/netscape/cms/servlet/profile/ProfileProcessServlet.java b/base/common/src/com/netscape/cms/servlet/profile/ProfileProcessServlet.java
index 0f9f341446d53b9d67839defae1f0ac1b20a6561..56f75487447bec2870527d23bf08f99dacfe89cc 100644
--- a/base/common/src/com/netscape/cms/servlet/profile/ProfileProcessServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/profile/ProfileProcessServlet.java
@@ -43,7 +43,7 @@ import com.netscape.cms.servlet.cert.RequestProcessor;
 import com.netscape.cms.servlet.common.CMSRequest;
 import com.netscape.cms.servlet.profile.model.ProfileAttribute;
 import com.netscape.cms.servlet.profile.model.ProfileOutput;
-import com.netscape.cms.servlet.request.model.AgentEnrollmentRequestData;
+import com.netscape.cms.servlet.request.model.CertReviewResponse;
 
 /**
  * This servlet approves profile-based request.
@@ -103,7 +103,7 @@ public class ProfileProcessServlet extends ProfileServlet {
         // set request in cmsReq for later retrieval
         cmsReq.setIRequest(req);
 
-        AgentEnrollmentRequestData data = null;
+        CertReviewResponse data = null;
         try {
             data = processor.processRequest(cmsReq, req, op);
         } catch (EAuthException e) {
diff --git a/base/common/src/com/netscape/cms/servlet/request/CertRequestResource.java b/base/common/src/com/netscape/cms/servlet/request/CertRequestResource.java
index fc06e5e10e50df5e6c30864620c488c0e2e39c6f..8a6d1b1828c3cc3e9a7a64967146c4500baf04e5 100644
--- a/base/common/src/com/netscape/cms/servlet/request/CertRequestResource.java
+++ b/base/common/src/com/netscape/cms/servlet/request/CertRequestResource.java
@@ -29,10 +29,10 @@ import javax.ws.rs.core.MediaType;
 import javax.ws.rs.core.MultivaluedMap;
 
 import com.netscape.certsrv.request.RequestId;
-import com.netscape.cms.servlet.request.model.AgentEnrollmentRequestData;
+import com.netscape.cms.servlet.request.model.CertReviewResponse;
 import com.netscape.cms.servlet.request.model.CertRequestInfo;
 import com.netscape.cms.servlet.request.model.CertRequestInfos;
-import com.netscape.cms.servlet.request.model.EnrollmentRequestData;
+import com.netscape.cms.servlet.request.model.CertEnrollmentRequest;
 
 @Path("")
 public interface CertRequestResource {
@@ -66,7 +66,7 @@ public interface CertRequestResource {
     @GET
     @Path("agent/certrequests/{id}")
     @Produces({ MediaType.APPLICATION_XML, MediaType.APPLICATION_JSON })
-    public AgentEnrollmentRequestData reviewRequest(@PathParam("id") RequestId id);
+    public CertReviewResponse reviewRequest(@PathParam("id") RequestId id);
 
     // Enrollment - used to test integration with a browser
     @POST
@@ -79,40 +79,40 @@ public interface CertRequestResource {
     @Path("certrequests")
     @Produces({ MediaType.APPLICATION_XML, MediaType.APPLICATION_JSON })
     @Consumes({ MediaType.APPLICATION_XML, MediaType.APPLICATION_JSON })
-    public CertRequestInfos enrollCert(EnrollmentRequestData data);
+    public CertRequestInfos enrollCert(CertEnrollmentRequest data);
 
     @POST
     @Path("agent/certrequests/{id}/approve")
     @Consumes({ MediaType.APPLICATION_XML, MediaType.APPLICATION_JSON })
-    public void approveRequest(@PathParam("id") RequestId id, AgentEnrollmentRequestData data);
+    public void approveRequest(@PathParam("id") RequestId id, CertReviewResponse data);
 
     @POST
     @Path("agent/certrequests/{id}/reject")
     @Consumes({ MediaType.APPLICATION_XML, MediaType.APPLICATION_JSON })
-    public void rejectRequest(@PathParam("id") RequestId id, AgentEnrollmentRequestData data);
+    public void rejectRequest(@PathParam("id") RequestId id, CertReviewResponse data);
 
     @POST
     @Path("agent/certrequests/{id}/cancel")
     @Consumes({ MediaType.APPLICATION_XML, MediaType.APPLICATION_JSON })
-    public void cancelRequest(@PathParam("id") RequestId id, AgentEnrollmentRequestData data);
+    public void cancelRequest(@PathParam("id") RequestId id, CertReviewResponse data);
 
     @POST
     @Path("agent/certrequests/{id}/update")
     @Consumes({ MediaType.APPLICATION_XML, MediaType.APPLICATION_JSON })
-    public void updateRequest(@PathParam("id") RequestId id, AgentEnrollmentRequestData data);
+    public void updateRequest(@PathParam("id") RequestId id, CertReviewResponse data);
 
     @POST
     @Path("agent/certrequests/{id}/validate")
     @Consumes({ MediaType.APPLICATION_XML, MediaType.APPLICATION_JSON })
-    public void validateRequest(@PathParam("id") RequestId id, AgentEnrollmentRequestData data);
+    public void validateRequest(@PathParam("id") RequestId id, CertReviewResponse data);
 
     @POST
     @Path("agent/certrequests/{id}/unassign")
     @Consumes({ MediaType.APPLICATION_XML, MediaType.APPLICATION_JSON })
-    public void unassignRequest(@PathParam("id") RequestId id, AgentEnrollmentRequestData data);
+    public void unassignRequest(@PathParam("id") RequestId id, CertReviewResponse data);
 
     @POST
     @Path("agent/certrequests/{id}/assign")
     @Consumes({ MediaType.APPLICATION_XML, MediaType.APPLICATION_JSON })
-    public void assignRequest(@PathParam("id") RequestId id, AgentEnrollmentRequestData data);
+    public void assignRequest(@PathParam("id") RequestId id, CertReviewResponse data);
 }
